package cn.iocoder.yudao.module.server.service.workorderType;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.server.controller.admin.workorderType.vo.*;
import cn.iocoder.yudao.module.server.dal.dataobject.workorderType.WorkorderTypeDO;
import cn.iocoder.yudao.module.system.dal.dataobject.dept.DeptDO;

/**
 * 工单类型 Service 接口
 *
 * @author wyj
 */
public interface WorkorderTypeService {

    /**
     * 创建工单类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWorkorderType(@Valid WorkorderTypeSaveReqVO createReqVO);

    /**
     * 更新工单类型
     *
     * @param updateReqVO 更新信息
     */
    void updateWorkorderType(@Valid WorkorderTypeSaveReqVO updateReqVO);

    /**
     * 删除工单类型
     *
     * @param id 编号
     */
    void deleteWorkorderType(Long id);

    /**
     * 获得工单类型
     *
     * @param id 编号
     * @return 工单类型
     */
    WorkorderTypeDO getWorkorderType(Long id);

    /**
     * 获得工单类型列表
     *
     * @param listReqVO 查询条件
     * @return 工单类型列表
     */
    List<WorkorderTypeDO> getWorkorderTypeList(WorkorderTypeListReqVO listReqVO);

    List<DeptDO> getSuplierListWorkorder(String suplier);
    List<DeptDO> getSuplierList(String suplier);

}